Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.translate
Class MethodDeclToJavaExt_c

    java.lang.Object
      polyglot.ext.jl.ast.Ext_c
          jif.translate.ToJavaExt_c
              jif.translate.MethodDeclToJavaExt_c

All Implemented Interfaces:
  java.lang.Cloneable, ToJavaExt, polyglot.ast.Ext, polyglot.util.Copy

    public class MethodDeclToJavaExt_c

extends ToJavaExt_c

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Ext_c
`ext, node`

Constructor Summary
`MethodDeclToJavaExt_c()`

Method Summary
`polyglot.ast.Node` | `staticMainToJava(JifToJavaRewriter rw, polyglot.ast.MethodDecl n)` Rewrite static main(principal p, String[] args) {...} to static main(String[] args) {Principal p = Runtime.getUser(); {...} };
`polyglot.ast.Node` | `toJava(JifToJavaRewriter rw)`
`polyglot.visit.NodeVisitor` | `toJavaEnter(JifToJavaRewriter rw)`

Methods inherited from class polyglot.ext.jl.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Ext
`dump, ext, ext, init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### MethodDeclToJavaExt_c

    public MethodDeclToJavaExt_c()

Method Detail

### toJavaEnter

    public polyglot.visit.NodeVisitor toJavaEnter(JifToJavaRewriter rw)
                                           throws polyglot.types.SemanticException

  Specified by:
    `toJavaEnter` in interface `ToJavaExt`
  Overrides:
    `toJavaEnter` in class `ToJavaExt_c`
  Throws:
    `polyglot.types.SemanticException`

### toJava

    public polyglot.ast.Node toJava(JifToJavaRewriter rw)
                             throws polyglot.types.SemanticException

  Specified by:
    `toJava` in interface `ToJavaExt`
  Overrides:
    `toJava` in class `ToJavaExt_c`
  Throws:
    `polyglot.types.SemanticException`

### staticMainToJava

    public polyglot.ast.Node staticMainToJava(JifToJavaRewriter rw,
                                              polyglot.ast.MethodDecl n)

  Rewrite static main(principal p, String[] args) {...} to static main(String[] args) {Principal p = Runtime.getUser(); {...} };

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD